- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

# lib/rpmlibprov.c File Reference

`#include "system.h"`
`#include <rpmlib.h>`
`#include "debug.h"`

Go to the source code of this file.

## Data Structures
struct | rpmlibProvides_s
## Functions
void | rpmShowRpmlibProvides (FILE *fp)
| Display current rpmlib feature provides.
int | rpmCheckRpmlibProvides (const char *keyName, const char *keyEVR, int keyFlags)
| Check dependency against internal rpmlib feature provides.
int | rpmGetRpmlibProvides (const char ***provNames, int **provFlags, const char ***provVersions)
| Return copy of rpmlib internal provides.
## Variables
static struct rpmlibProvides_s | rpmlibProvides []

## Detailed Description

Definition in file rpmlibprov.c.

## Variable Documentation

struct rpmlibProvides_s rpmlibProvides[]`[static]`

Referenced by rpmCheckRpmlibProvides(), rpmGetRpmlibProvides(), and rpmShowRpmlibProvides().